VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalMemoryHostPropertiesEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| PhysicalDeviceExternalMemoryHostPropertiesEXT (DeviceSize minImportedHostPointerAlignment_=0)
| PhysicalDeviceExternalMemoryHostPropertiesEXT (VkPhysicalDeviceExternalMemoryHostPropertiesEXT const &rhs)
PhysicalDeviceExternalMemoryHostPropertiesEXT & | operator= (VkPhysicalDeviceExternalMemoryHostPropertiesEXT const &rhs)
PhysicalDeviceExternalMemoryHostPropertiesEXT & | setPNext (void *pNext_)
PhysicalDeviceExternalMemoryHostPropertiesEXT & | setMinImportedHostPointerAlignment (DeviceSize minImportedHostPointerAlignment_)
| operator VkPhysicalDeviceExternalMemoryHostPropertiesEXT const & () const
| operator VkPhysicalDeviceExternalMemoryHostPropertiesEXT & ()
bool | operator== (PhysicalDeviceExternalMemoryHostPropertiesEXT const &rhs) const
bool | operator!= (PhysicalDeviceExternalMemoryHostPropertiesEXT const &rhs) const

## Data Fields

void * | pNext = nullptr
DeviceSize | minImportedHostPointerAlignment

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceExternalMemoryHostPropertiesEXT

## Detailed Description

Definition at line 17516 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDeviceExternalMemoryHostPropertiesEXT() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalMemoryHostPropertiesEXT::PhysicalDeviceExternalMemoryHostPropertiesEXT | ( | DeviceSize | minImportedHostPointerAlignment_ = `0` | ) |

inline

Definition at line 17518 of file vulkan.hpp.

: minImportedHostPointerAlignment( minImportedHostPointerAlignment_ )
{
}

## PhysicalDeviceExternalMemoryHostPropertiesEXT() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalMemoryHostPropertiesEXT::PhysicalDeviceExternalMemoryHostPropertiesEXT | ( | VkPhysicalDeviceExternalMemoryHostPropertiesEXT const & | rhs | ) |

inline

Definition at line 17523 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceExternalMemoryHostPropertiesEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDeviceExternalMemoryHostPropertiesEXT &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalMemoryHostPropertiesEXT::operator VkPhysicalDeviceExternalMemoryHostPropertiesEXT & | ( |  | ) |

inline

Definition at line 17550 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceExternalMemoryHostPropertiesEXT*>(this);
}

## operator VkPhysicalDeviceExternalMemoryHostPropertiesEXT const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalMemoryHostPropertiesEXT::operator VkPhysicalDeviceExternalMemoryHostPropertiesEXT const & | ( |  | ) | const

inline

Definition at line 17545 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceExternalMemoryHostPropertiesEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalMemoryHostPropertiesEXT::operator!= | ( | PhysicalDeviceExternalMemoryHostPropertiesEXT const & | rhs | ) | const

inline

Definition at line 17562 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDeviceExternalMemoryHostPropertiesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalMemoryHostPropertiesEXT::operator= | ( | VkPhysicalDeviceExternalMemoryHostPropertiesEXT const & | rhs | ) |

inline

Definition at line 17528 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceExternalMemoryHostPropertiesEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalMemoryHostPropertiesEXT::operator== | ( | PhysicalDeviceExternalMemoryHostPropertiesEXT const & | rhs | ) | const

inline

Definition at line 17555 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( minImportedHostPointerAlignment == rhs.minImportedHostPointerAlignment );
}

References minImportedHostPointerAlignment, pNext, and sType.

Referenced by operator!=().

## setMinImportedHostPointerAlignment()

PhysicalDeviceExternalMemoryHostPropertiesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalMemoryHostPropertiesEXT::setMinImportedHostPointerAlignment | ( | DeviceSize | minImportedHostPointerAlignment_ | ) |

inline

Definition at line 17539 of file vulkan.hpp.

{
minImportedHostPointerAlignment = minImportedHostPointerAlignment_;
return *this;
}

References minImportedHostPointerAlignment.

## setPNext()

PhysicalDeviceExternalMemoryHostPropertiesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalMemoryHostPropertiesEXT::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 17533 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## minImportedHostPointerAlignment

DeviceSize VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalMemoryHostPropertiesEXT::minImportedHostPointerAlignment

Definition at line 17572 of file vulkan.hpp.

Referenced by operator==(), and setMinImportedHostPointerAlignment().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalMemoryHostPropertiesEXT::pNext = nullptr

Definition at line 17571 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalMemoryHostPropertiesEXT::sType = StructureType::ePhysicalDeviceExternalMemoryHostPropertiesEXT

private

Definition at line 17568 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalMemoryHostPropertiesEXT::minImportedHostPointerAlignment
DeviceSize minImportedHostPointerAlignment
Definition: vulkan.hpp:17572
VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalMemoryHostPropertiesEXT::sType
StructureType sType
Definition: vulkan.hpp:17568
VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalMemoryHostPropertiesEXT::PhysicalDeviceExternalMemoryHostPropertiesEXT
PhysicalDeviceExternalMemoryHostPropertiesEXT(DeviceSize minImportedHostPointerAlignment_=0)
Definition: vulkan.hpp:17518
VkPhysicalDeviceExternalMemoryHostPropertiesEXT
Definition: vulkan_core.h:8479
VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalMemoryHostPropertiesEXT::operator==
bool operator==(PhysicalDeviceExternalMemoryHostPropertiesEXT const &rhs) const
Definition: vulkan.hpp:17555
VULKAN_HPP_NAMESPACE::PhysicalDeviceExternalMemoryHostPropertiesEXT::pNext
void * pNext
Definition: vulkan.hpp:17571